<?php
if ($file_format == 'excel') {
    header("Content-type: application/vnd-ms-excel");
    header("Content-Disposition: attachment; filename=buku_kas_umum.xls");
}
?>
<html>
    <body>
        <?php
        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');
        $bulan_text = [
            "Januari",
            "Februari",
            "Maret",
            "April",
            "Mei",
            "Juni",
            "Juli",
            "Agustus",
            "September",
            "Oktober",
            "November",
            "Desember"
        ];
        ?>
        <div>
            <p style="text-align: center;">
                <span style="font-size: 12pt; font-weight: BOLD;">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?>, <?= strtoupper($ar_pemda->s_namaprov); ?></span>
                <br>
                <span style="font-size: 12pt; font-weight: BOLD;"><?= strtoupper($ar_pemda->s_namainstansi); ?> (<?= strtoupper($ar_pemda->s_namasingkatinstansi); ?>)</span><br>
                <?= strtoupper($ar_pemda->s_alamatinstansi); ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?>
            </p>
            <hr style="height: 2px; color: black; margin-top: 0px; margin-bottom: 0px">
            <hr style="height: 1px; color: black; margin-top: 2px; margin-bottom: 0px">
            <p style="text-align: center; font-size: 12pt;">
                <span style="font-size: 12pt; font-weight: BOLD;">BUKU KAS UMUM</span>
                <br>
                <span style="font-size: 10pt; font-weight: BOLD;">Bulan <?= $bulan_text[$post->bulan_bku - 1] ?> Tahun <?= $post->tahun_bku ?></span>
            </p>
            <table width="100%" style="border-collapse: collapse; font-size: 10pt">
                <tr>
                    <td style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">TANGGAL</td>
                    <td style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">KODE REKENING</td>
                    <td style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">NAMA REKENING</td>
                    <td style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">PENERIMAAN<br>(Rp.)</td>
                    <td style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">PENGELUARAN<br>(Rp.)</td>
                </tr>
                <?php
                $tampungan = "";
                $total_pembayaran = 0;
                $total_penyetoran = 0;
                $all_pembayaran = 0;
                $all_penyetoran = 0;
                foreach ($data as $k => $v) {
                    ?>
                    <?php if ($tampungan != $v['tglbayar'] && !empty($tampungan)) { ?>
                        <tr>
                            <td colspan="3" style="border-left: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; font-weight: bold; text-align: right">BKU pada tanggal : <?= date('d-m-Y', strtotime($tampungan)) ?></td>
                            <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; font-weight: bold; text-align: right"><?= number_format($total_pembayaran, 0, ',', '.') ?></td>
                            <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; font-weight: bold; text-align: right"><?= number_format($total_penyetoran, 0, ',', '.') ?></td>
                        </tr>
                        <?php
                        $total_pembayaran = 0;
                        $total_penyetoran = 0;
                    }
                    $total_pembayaran += $v['pembayaran'];
                    $total_penyetoran += $v['penyetoran'];
                    ?>
                    <tr>
                        <td style="border-left: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center"><?= date('d-m-Y', strtotime($v['tglbayar'])) ?></td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top;"><?= $v['korek'] ?></td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top;"><?= $v['s_namakorek'] ?></td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right"><?= number_format($v['pembayaran'], 0, ',', '.') ?></td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right"><?= number_format($v['penyetoran'], 0, ',', '.') ?></td>
                    </tr>
                    <?php
                    $tampungan = $v['tglbayar'];
                    $all_pembayaran += $v['pembayaran'];
                    $all_penyetoran += $v['penyetoran'];
                }
                ?>
                <?php if (!empty($tampungan)) { ?>
                    <tr>
                        <td colspan="3" style="border-left: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; font-weight: bold; text-align: right">BKU pada tanggal : <?= date('d-m-Y', strtotime($tampungan)) ?></td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; font-weight: bold; text-align: right"><?= number_format($total_pembayaran, 0, ',', '.') ?></td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; font-weight: bold; text-align: right"><?= number_format($total_penyetoran, 0, ',', '.') ?></td>
                    </tr>
                <?php } ?>
                <tr>
                    <td colspan="3" style="border-left: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; font-weight: bold; text-align: right">TOTAL BKU</td>
                    <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; font-weight: bold; text-align: right"><?= number_format($all_pembayaran, 0, ',', '.') ?></td>
                    <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; font-weight: bold; text-align: right"><?= number_format($all_penyetoran, 0, ',', '.') ?></td>
                </tr>
            </table>
        </div>
    </body>
</html>